package com.sonic.frog.config;

import com.sonic.common.rpc.ApiResultCode;
import lombok.Getter;

/**
 * @author code
 */
@Getter
public enum ResultCode implements ApiResultCode {

    /**
     * TODO: 可以在此处扩展服务自身需要用到的错误码信息
     */
    BIZ_ERROR1("0000", "业务异常1"),
    DEMO_CREATED_FAIL("0001", "新增Demo实体失败");

    private final String errorCode;
    private final String errorMsg;

    ResultCode(String errorCode, String errorMsg) {
        this.errorCode = getAppId() + errorCode;
        this.errorMsg = errorMsg;
    }

    /**
     * 得到 message 的值.
     *
     * @return 属性 message 的值.
     */
    @Override
    public String getErrorMsg() {
        return errorMsg + "(" + getAppId() + ")";
    }

    /**
     * @return 当前服务的AppId
     */
    @Override
    public String getAppId() {
        return "1001";
    }
}
